:root {
    --menuulligenislik: 1200px;
    /* Genişlik için özel özellik */
    --menulinkw: 250px;

    --yukseklik: 800px;
    /* Yükseklik için özel özellik */
    --ana-renk: #f0f0f0;
    /* İsteğe bağlı başka bir örnek */
}
.fmenu-item-div.active .fmenu-box{
	display:block !important;
}
.fmenu {
    display: block;
    max-height: calc(100vh - var(--header-h) - 4px);
    opacity: 1;
    top: calc(100% - 4px);
    display: flex;
    flex-direction: column;
    left: 0;
    margin-top: -1px;
    max-width: 100%;
    transition-duration: 0.4s, 0.3s;
    transition-property: opacity, height;
    transition-timing-function: ease;
    position: relative;
    overflow: hidden;
    border-bottom: 4px solid #0078c9;
    box-shadow: -5px 4px 10px -5px rgba(0, 0, 0, 0.2),
        5px 5px 10px -5px rgba(0, 0, 0, 0.2);
}

/* Menü düzenlemeleri */
.fmenu-ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    padding-bottom: 15px;
    padding-top: 15px;
    position: relative;
    width: 100%;
    border: 0;
}

.fmenu-ul-li {
    width: var(--menuulligenislik);
    list-style: none;
    display: block;
    margin: 0;
    padding: 0;
}

.fmenu-ul-li a {
    text-decoration: none;
    padding: 10px;
    display: block;
}

.fmenu-ul-li a.menu-lnk {
    text-decoration: none;
    font-size: 14px;
    align-items: start;
    border-bottom: 1px solid transparent;
    border-top: 1px solid transparent;
    color: dimgray;
    display: flex;
    gap: 5px;
    justify-content: space-between;
    padding: 10px 10px 10px 15px;
    width: var(--menulinkw);
}

.fmenu-ul-li a.menu-lnk:hover {
    color: #0078c9;
}

.fmenu-ul-li a.menu-lnk:after {
    speak: none;
    color: #0078c9;
    content: ">";
    display: inline-block;
    font-size: 1.15em;
    font-style: normal;
    font-weight: 400;
    line-height: 1;
    position: relative;
}
.menu-alt-satir-engel{
        white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


/* Alt menülerin başlangıçta gizli olması */
.fmenu-item-div,
.fmenu-item-div-2,
.fmenu-item-div-3 {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 10;
    background-color: #ffffff;
}

/* Ana kategori üzerine gelindiğinde alt menüyü göster */
.fmenu-ul-li:hover .fmenu-item-div {
    display: block;
}

/* Alt menü 1 üzerindeki alt alt menüyü göster */
.fmenu-item-div li:hover .fmenu-item-div-2 {
    display: block;
}

/* Alt menü 2 üzerine gelindiğinde alt alt menü 3'ü göster */
.fmenu-item-div-2 li:hover .fmenu-item-div-3 {
    display: block;
}

/* Menü görsel düzenlemeleri */
.fmenu-box img {
    width: 100%;
    height: auto;
    display: block;
}

.fmenu-box,
.fmenu-box-2 {
    width: calc(100% - var(--menulinkw));
    left: var(--menulinkw);
    background-color: #fff;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 1;
    display: none;
}

.fmenu-box-3 {
    width: calc(100%);
    left: 25px;
    background-color: #fff;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 1;
    display: none;
}

.fmenu-box-3 .fmenu-resim-3 {
    width: auto;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.fmenu-box-3 .fmenu-resim-3 img {
    height: 80%;
    width: auto;
    margin: 0 auto;
    object-fit: contain;
    /* resim tamamen sığsın, kırpmasın */
}

.fmenu-resim {
    width: 100%;
    height: 100%;
    display: block;
}
.fmenu-resim-2{
    margin-top: 5px;
}
.fmenu-box img,
.fmenu-box-2 img {
    -o-object-fit: cover;
    object-fit: contain;
    -o-object-position: center;
    object-position: center;
    display: block;
    width: auto;
    height: auto;
    max-height: 400px;
    max-width: 100%;
    padding: 15px;
    margin: 0 auto;
    border-radius: 10px;
}
/* Temel gizleme */
.fmenu-item-div,
.fmenu-item-div-2,
.fmenu-item-div-3 {
    display: none;
}

/* Sadece aktif olan görünür */
.fmenu-item-div.active,
.fmenu-item-div-2.active,
.fmenu-item-div-3.active {
    display: block;
}

/* İçindeki box’lar otomatik açılır */
.fmenu-item-div.active .fmenu-box,
.fmenu-item-div-2.active .fmenu-box-2,
.fmenu-item-div-3.active .fmenu-box-3 {
    display: block;
}
.left-0 {
    left: 0 !important;
}

.width-100 {
    width: 100% !important;
        height: 100%;
        background: #ffff;
}

.fmenu-item-div {
    display: none;
    position: absolute;
    top: 0;
    width: calc(100% - var(--menulinkw));
    left: var(--menulinkw);
    height: 100%;
}

.f-alt-menu {
    position: relative;
    width: 100%;
    list-style: none;
    padding: 13px 8px 10px 3px;
    height: 100%;
}

.f-alt-menu a.menu-lnk {
    width: var(--menulinkw);
}

.fmenu-item-div-2 {
    display: none;
    width: calc(100% - var(--menulinkw));
    left: var(--menulinkw);
    position: absolute;
    top: 0;
    height: 100%;
}

.fmenu-item-div-3 {
    display: none;
    width: calc(100% - var(--menulinkw));
    left: var(--menulinkw);
    position: absolute;
    top: 0;
    height: 100%;
}

.f-alt-menu-2 {
    position: relative;
    width: 100%;
    list-style: none;
    padding: 13px 8px 10px 3px;
    height: 100%;
}

.f-alt-menu-2 a {
    width: var(--menulinkw);
}

.fmenu-4-box {
    width: 100%;
    height: 100%;
}

.menu-4-container {
    position: relative;
    overflow: hidden;
    background: #fff;
        margin: 15px 0;
}

.m4-container {
    display: flex;
    transition: transform .4s ease;
    background: #fff;
}


/* Kart düzeni */
.fmenu-4-box .m4-m-card {
    flex: 0 0 24%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-radius: 12px;
    overflow: hidden;
    margin-right: 2%;
    transition: all 0.35s ease;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
    background: #fafafa;
    border: 1px solid #f5f5f5;
    position: relative;
    /* Kartlar arasında eşit boşluk */
}

/* Resim boyutlandırma */
.fmenu-4-box .m4-m-card-image {
    max-width: 100%;
    height: auto;
    border-radius: 8px;
}

.fmenu-4-box .m4-m-card img {
    display: block;
    width: 100%;
    height: 240px;
    object-fit: contain;
    padding: 15px 5px;
    transition: transform 0.4s ease;
    margin: 0px;
}

.fmenu-4-box .m4-m-card:hover {
    transform: translateY(-6px);
    box-shadow: 0 12px 30px rgba(0, 0, 0, 0.12);
}

.fmenu-4-box .m4-m-card:hover img {
    transform: scale(1.05);
}

.m4-m-card a {
    text-decoration: none;
    width: 100%;
}

.m4-m-card .m4-m-kduc-resim-m {
    margin: 0 0 10px 0;
    position: relative;
    overflow: hidden;
}

.m4-m-card .m4-m-kduc-resim-m img {
    width: 100%;
    height: 280px;
    object-fit: contain;
    padding: 25px 5px;
}

.m4-m-card .m4-m-kduc-metin {
    font-size: 16px;
    color: #666666;
    padding-top: 9px;
    padding-left: 5px;
    text-align: center;
    line-height: 27px;
}

.m4-m-card .m4-m-kduc-metin span {
    display: table;
    padding: 2px 17px;
    text-align: center;
    margin: 0 auto;
    background: #0d6efd;
    color: #fff;
    font-size: 14px;
    border-radius: 4px;
    font-family: system-ui;
        font-weight: 600;
        letter-spacing: 1px;
}

.m4-slider-button {
    position: absolute;
    top: 40%;
    transform: translateY(-50%);
    z-index: 10;
    background: rgba(0, 0, 0, 0.6);
    color: #fff;
    border: none;
    width: 40px;
    height: 40px;
    cursor: pointer;
    font-size: 20px;
    border-radius: 50%;
}

.m4-sb-left {
    left: 5px;
}

.m4-sb-right {
    right: 5px;
}

.m4-slider-button:disabled {
    opacity: .3;
    cursor: not-allowed;
}

.fmenu-urun-alani {
    display: grid;
    gap: 20px;
    max-width: 100%;
    height: 400px;
    margin: 0 auto;
    padding: 10px 60px;
}

/* Kart */
.fmenu-urun {
    background: #f5f5f5;
    border: 1px solid #ddd;
    position: relative;
    overflow: hidden;

    display: flex;
    align-items: center;
    justify-content: center;
}

.fmenu-urun a {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.fmenu-urun a {
    flex-direction: column;
}

.fmenu-urun img {
    max-width: 95%;
    max-height: 95%;
    object-fit: contain;
    display: block;
    margin: 0 auto;
}

.fmenu-urun a div {
position: absolute;
    bottom: 15px;
    left: 15px;
    background: #0d6efd;
    color: #fff;
    padding: 8px 16px;
    font-size: 14px;
    border-radius: 4px;
    font-family: system-ui;
    font-weight: 600;
    letter-spacing: 1px;
}

/* ================================================= */
/* 1 ÜRÜN */
.urun-sayisi-1 {
    grid-template-columns: 1fr;
}

/* ================================================= */
/* 2 ÜRÜN */
.urun-sayisi-2 {
    grid-template-columns: 1fr 1fr;
}

/* ================================================= */
/* 3 ÜRÜN */
.urun-sayisi-3 {
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr 1fr;
}

.urun-sayisi-3 .fmenu-urun:nth-child(1) {
    grid-row: 1 / 3;
}

/* ================================================= */
/* 4 ÜRÜN */
.urun-sayisi-4 {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

/* ================================================= */
/* 5 ÜRÜN */
.urun-sayisi-5 {
    grid-template-columns: 2fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

.urun-sayisi-5 .fmenu-urun:nth-child(1) {
    grid-row: 1 / 3;
}

.urun-sayisi-5 .fmenu-urun:nth-child(2) {
    grid-column: 2;
}

.urun-sayisi-5 .fmenu-urun:nth-child(3) {
    grid-column: 3;
}

.urun-sayisi-5 .fmenu-urun:nth-child(4) {
    grid-column: 2;
    grid-row: 2;
}

.urun-sayisi-5 .fmenu-urun:nth-child(5) {
    grid-column: 3;
    grid-row: 2;
}

/* ================================================= */
/* 6 ÜRÜN */
.urun-sayisi-6 {
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-rows: 1fr 1fr;
}

.urun-sayisi-cok {
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: 1fr;
    overflow: hidden;
}